\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary[patterns]
\begin{document}
\begin{tikzpicture}
  % E
  \draw[dashed] (0,0) rectangle (2,2);
  % E'=A
  \filldraw[fill=gray!30] (0,0.5) -- (2,1) -- (2,2) -- (0,2) -- cycle;
\end{tikzpicture}
\end{document}
